/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Don Jun 28 10:55:59 CEST 2001
    copyright            : (C) 2001 by Rdiger Knrig
    email                : ruediger@knoerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>

#include "qtplgviewer.h"

int main(int argc, char *argv[])
{
  QApplication a(argc, argv);
  a.setFont(QFont("helvetica", 12));
  QTranslator tor( 0 );
  // set the location where your .qm files are in load() below as the last parameter instead of "."
  // for development, use "/" to use the english original as
  // .qm files are stored in the base project directory.
  tor.load( QString("qtplgviewer.") + QTextCodec::locale(), "." );
  a.installTranslator( &tor );

  QtpLgviewerApp *qtplgviewer=new QtpLgviewerApp();
  a.setMainWidget(qtplgviewer);

  qtplgviewer->show();

  if(argc>1)
    qtplgviewer->openDocumentFile(argv[1]);
	else
	  qtplgviewer->openDocumentFile();
	
  return a.exec();
}
